package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;

/**
 * @Author Joburgess
 * @Date 2019/9/18
 */
public class CourseHomeworkStudentDetailDto {

    @ApiModelProperty(value = "乐团名称",required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "班级名称",required = false)
    private String classGroupName;

    @ApiModelProperty(value = "作业ID",required = false)
    private Long courseHomeworkId;

    @ApiModelProperty(value = "作业内容",required = false)
    private String content;

    @ApiModelProperty(value = "截至日期",required = false)
    private Date expiryDate;

    @ApiModelProperty(value = "已完成人数",required = false)
    private Integer completedNum;

    @ApiModelProperty(value = "预计完成人数",required = false)
    private Integer expectNum;

    @ApiModelProperty(value = "学生作业文件链接",required = false)
    private String attachments;

    @ApiModelProperty(value = "学生作业评分",required = false)
    private Long score;

    @ApiModelProperty(value = "提交状态",required = false)
    private YesOrNoEnum status;

    @ApiModelProperty(value = "是否已经回复",required = false)
    private YesOrNoEnum isReplied;

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }

    public YesOrNoEnum getIsReplied() {
        return isReplied;
    }

    public void setIsReplied(YesOrNoEnum isReplied) {
        this.isReplied = isReplied;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public Long getCourseHomeworkId() {
        return courseHomeworkId;
    }

    public void setCourseHomeworkId(Long courseHomeworkId) {
        this.courseHomeworkId = courseHomeworkId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getExpiryDate() {
        return expiryDate;
    }

    public void setExpiryDate(Date expiryDate) {
        this.expiryDate = expiryDate;
    }

    public Integer getCompletedNum() {
        return completedNum;
    }

    public void setCompletedNum(Integer completedNum) {
        this.completedNum = completedNum;
    }

    public Integer getExpectNum() {
        return expectNum;
    }

    public void setExpectNum(Integer expectNum) {
        this.expectNum = expectNum;
    }

    public String getAttachments() {
        return attachments;
    }

    public void setAttachments(String attachments) {
        this.attachments = attachments;
    }

    public Long getScore() {
        return score;
    }

    public void setScore(Long score) {
        this.score = score;
    }
}
